Subject: Re: [LARTC] ESFQ: request for user input

From: Patrick McHardy <[email-masked]>
Date: Mon, 25 Jun 2007 01:40:54 +0200

Corey Hickey wrote:
> Patrick McHardy wrote:
>>>
>>> Should ESFQ be merged into SFQ or remain as a separate qdisc?
>>>       
>> I've CCed netdev. I think merging parts of ESFQ (dynamic depth and
>> flow number) would make a lot of sense, but I'm intending to submit
>> an alternative to the ESFQ hashing scheme for 2.6.23:
>>
>> http://www.mail-archive.com/[email-masked]/msg39156.html
>>     
>
> Nice. I wasn't aware of that. Your patch looks like it supersedes ESFQ's
> hashing, so, if it gets applied, that already removes a large chunk of
> the differences between SFQ and ESFQ.
>
> If I don't hear any opposition, then I'll keep an eye out for when your
> patch gets accepted (assuming it does) and then submit patch(es) porting
> the rest of ESFQ's features to SFQ.
>   

I think it would be best if you would start posting patches
to add the missing features (without the hash changes) to SFQ,
if you're quick this may already go in during the 2.6.23 merge
window. My changes are mostly independant of yours, if there
are any clashes the one who goes last will just have to rediff
their patches :)

Since you need to pass additional parameters to SFQ for your
changes, have a look at my rtnetlink compat attribute patch:

http://article.gmane.org/gmane.linux.network/64851